function [] = createtables(),
   ## this script creates two files: 'fplot and 'nodes.txt'
   ## these files can be used in a LaTeX file with TikZ package
   ## define a function:
   f = @ (x) 1.2 * exp(- 0.04 * x .^ 2) .* cos(2 * x + 0.4);
   ## compute f at many equidistant points:
   xg = linspace(-2, 2, 401)';
   dlmwrite ('fplot.txt', [xg, f(xg)], 'delimiter', ' ', 'precision', '%.5f')
   ## compute f at given points:
   x = [-2; -1.6; -0.8; -0.1; 0.3; 0.5; 1.1; 2];
   dlmwrite('nodes.txt', [x, f(x)], 'delimiter', ' ', 'precision', '%.5f')
end

